#ifndef LOCAL_CALCAFFINE_H
#define LOCAL_CALCAFFINE_H

/*
* (c)2017 The University of Aizu
* This software is released under the New BSD License.
*/

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <iostream>

#include <pcl/io/pcd_io.h>
#include <pcl/io/ply_io.h>
#include <pcl/io/vtk_lib_io.h>
#include <pcl/point_cloud.h>
#include <pcl/console/parse.h>
#include <pcl/common/transforms.h>
#include <pcl/visualization/pcl_visualizer.h>
#include <pcl/common/transformation_from_correspondences.h>

#include <boost/array.hpp>
#include <boost/accumulators/accumulators.hpp>
#include <boost/accumulators/statistics/stats.hpp>
#include <boost/accumulators/statistics/variance.hpp>
#include <boost/accumulators/statistics/covariance.hpp>
#include <boost/accumulators/statistics/variates/covariate.hpp>

#include "local_basic_type.h"

/*=================================================================================================
  Macro definition
 ================================================================================================*/

/*=================================================================================================
  variable type specification
 ================================================================================================*/

/*=================================================================================================
  prototypes definition
 ================================================================================================*/
  Eigen::Affine3f computeTransform(const std::vector<pcl::PointXYZ>& prev_points, const std::vector<pcl::PointXYZ>& curr_points);
  //uword_type extractRankingData(std::vector<pcl::PointXYZ>&, std::vector<pcl::PointXYZ>&, std::vector<MATCHED_POINT>& );
  //void readXYZ(std::vector<pcl::PointXYZ>&, std::string );

/*=================================================================================================
  variables definition
 ================================================================================================*/

#endif // LOCAL_CALCAFFINE_H
